summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Stewart <vericgar@gentoo.org>2006-06-06 23:08:28 +0000
committerMichael Stewart <vericgar@gentoo.org>2006-06-06 23:08:28 +0000
commit798471a86725edea43a6e09e8f323bae1eec3b53 (patch)
tree91cbc02f0ff04697a0f4107e989ab91a1eebf237 /2.2/scripts
parentAdd Makefile for rebuilding suexec (diff)
downloadapache-798471a86725edea43a6e09e8f323bae1eec3b53.tar.gz
apache-798471a86725edea43a6e09e8f323bae1eec3b53.tar.bz2
apache-798471a86725edea43a6e09e8f323bae1eec3b53.zip
Remove hardcoding of files' location so that the script can be changed on the fly for multilib
Diffstat (limited to '2.2/scripts')
-rwxr-xr-x2.2/scripts/suexec2-config11
1 files changed, 6 insertions, 5 deletions
diff --git a/2.2/scripts/suexec2-config b/2.2/scripts/suexec2-config
index 5dfbc95..8a5caba 100755
--- a/2.2/scripts/suexec2-config
+++ b/2.2/scripts/suexec2-config
@@ -19,7 +19,8 @@ DEF_USERDIR=public_html
DEF_UIDMIN=1000
DEF_UMASK=077
-
+BUILDFILES=/usr/lib/apache2/build
+BUILDDIR=/var/tmp/suexec-rebuild
usage() {
cat <<EOF_USAGE
@@ -200,11 +201,11 @@ action_rebuild() {
need_root # required for installing suexec
- mkdir -p /var/tmp/suexec-conf || die "mkdir /var/tmp/suexec-conf failed"
- cd /var/tmp/suexec-conf
- cp /usr/lib/apache2/build/suexec.c . ||
+ mkdir -p ${BUILDDIR} || die "mkdir ${BUILDDIR} failed"
+ cd ${BUILDDIR}
+ cp ${BUILDFILES}/suexec.c . ||
die "Unable to copy suexec.c - possibly missing?"
- cp /usr/lib/apache2/build/Makefile.suexec Makefile ||
+ cp ${BUILDFILES}/Makefile.suexec Makefile ||
die "Unable to copy Makefile - possibly missing?"
cat > suexec.h <<EOF_SUEXEC_H